Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class TimeBase.Template

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.TimeBase.Template

Direct Known Subclasses:
  GeneralizedTime.Template, UTCTime.Template

Enclosing class:
  TimeBase

public abstract static class TimeBase.Template
extends java.lang.Object

Constructor Summary
`TimeBase.Template()`

Method Summary
`private static void` | `checkBounds(int index, int increment, int bound)`
`private static void` | `checkRange(int val, int low, int high, java.lang.String field)`
`ASN1Value` | `decode(java.io.InputStream istream)`
`ASN1Value` | `decode(Tag implicitTag, java.io.InputStream istream)`
`protected abstract TimeBase` | `generateInstance(java.util.Date date)`
`protected abstract Tag` | `getTag()`
`protected abstract boolean` | `isUTC()`
`boolean` | `tagMatch(Tag tag)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeBase.Template

    public TimeBase.Template()

Method Detail

### isUTC

    protected abstract boolean isUTC()

### getTag

    protected abstract Tag getTag()

### generateInstance

    protected abstract TimeBase generateInstance(java.util.Date date)

### tagMatch

    public boolean tagMatch(Tag tag)

### decode

    public ASN1Value decode(java.io.InputStream istream)
                     throws java.io.IOException,
                            InvalidBERException

    `java.io.IOException`
    `InvalidBERException`

### decode

    public ASN1Value decode(Tag implicitTag,
                            java.io.InputStream istream)
                     throws java.io.IOException,
                            InvalidBERException

    `java.io.IOException`
    `InvalidBERException`

### checkRange

    private static void checkRange(int val,
                                   int low,
                                   int high,
                                   java.lang.String field)
                            throws InvalidBERException

    `InvalidBERException`

### checkBounds

    private static void checkBounds(int index,
                                    int increment,
                                    int bound)
                             throws InvalidBERException

    `InvalidBERException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD